com.strongloop.android.loopback

## Interface UserRepository.LoginCallback<U>

Enclosing class:
  UserRepository<U extends User>

    public static interface UserRepository.LoginCallback<U>

Callback passed to loginUser to receive success and newly created `U` user instance or thrown error.

### Method Summary

Methods
`void` `onError(java.lang.Throwable t)`
`void` `onSuccess(AccessToken token, U currentUser)`

### Method Detail

#### onSuccess

    void onSuccess(AccessToken token,
                 U currentUser)

#### onError

    void onError(java.lang.Throwable t)